{ pkgs, ... }: {
  services.hyprpaper = {
    enable = true;
    package = pkgs.hyprpaper;
    settings = let 
      wallpaper = "/home/fox/conf/home/desktop/wallp.jpg";
      monitor-1 = "HDMI-A-1";
      monitor-2 = "DP-1";
    in {
      preload = [ "${wallpaper}" ];
      wallpaper = [ 
        "${monitor-1},${wallpaper}"
        "${monitor-2},${wallpaper}"
      ];
    };
  };
}
